Page MenuHomePhabricator

Add secondary link icon for "view changes"
Closed, ResolvedPublic

Description

The edit-user-talk, mention and ep-course-talk notifications have a "view changes" secondary action. They should all use the same icon, and Pau has made one:

Event Timeline

Catrope created this task.Dec 17 2015, 1:01 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a subscriber: Catrope.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 1:01 AM

Assigning to Pau so he can upload the icon assets when they're ready.

Catrope triaged this task as High priority.Dec 18 2015, 12:55 AM
Catrope set Security to None.
Pginer-WMF updated the task description. (Show Details)Dec 28 2015, 2:09 PM

I added the icon to the ticket description. I followed the 24x24px black-color format used by other icons currently used as actions.

MtDu claimed this task.Jan 15 2016, 1:51 AM
MtDu added a subscriber: MtDu.

@Catrope
I can finish this tomorrow. If you have time and want to do it before then, that's fine with me.
Thanks,
MtDu

Change 264258 had a related patch set uploaded (by Catrope):
Add icon to "View changes" secondary links

https://gerrit.wikimedia.org/r/264258

I added the icon to the ticket description. I followed the 24x24px black-color format used by other icons currently used as actions.

In order to get the icon to not look too big in context, I had to modify the SVG so that it has a 4px margin above and below the icon, like the other secondary link icons. Most OOUI icons are 16x16 icons centered in a 24x24 viewbox. Because the height was the main problem, I scaled your image from 24x18.46 to 20.8x16 (I also tried scaling to 16x12.3 but that looks too small).

Change 264259 had a related patch set uploaded (by Catrope):
Use icon for "View changes" secondary link

https://gerrit.wikimedia.org/r/264259

Change 264258 merged by jenkins-bot:
Add icon to "View changes" secondary links

https://gerrit.wikimedia.org/r/264258

Change 264259 merged by jenkins-bot:
Use icon for "View changes" secondary link

https://gerrit.wikimedia.org/r/264259

The edit-user-talk, mention and ep-course-talk notifications have a "view changes" secondary action.

'Left a message' on user talk page has 'View changes'

Edited post on a user talk page does not have 'View changes'

The ticket descripton mentions that View Changes should be in "The edit-user-talk, mention and ep-course-talk notifications." According to the V 2.0 Notifications Spreadsheet, the following Flow notifications also get View Changes as a secondary link icon.

  • flowboard-description-edited
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited

Do we need to see this icon on those notifications, or is it enough to know it's working (and we'll confirm those are using the right icon elsewhere?)?

The ticket descripton mentions that View Changes should be in "The edit-user-talk, mention and ep-course-talk notifications." According to the V 2.0 Notifications Spreadsheet, the following Flow notifications also get View Changes as a secondary link icon.

  • flowboard-description-edited
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited

Do we need to see this icon on those notifications, or is it enough to know it's working (and we'll confirm those are using the right icon elsewhere?)?

The edit-user-talk, mention and ep-course-talk notifications have a "view changes" secondary action

wiki text user talk page - edit-user-talk

mention

ep-course-talk

jmatazzoni closed this task as Resolved.Feb 17 2016, 10:39 PM